DataInput (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.DataInput class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class DataInput

    java.lang.Object
      org.apache.lucene.store.DataInput

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ByteArrayDataInput, FST.BytesReader, IndexInput, InputStreamDataInput, PagedBytes.PagedBytesDataInput

    public abstract class DataInput

extends Object
implements Cloneable

Abstract base class for performing read operations of Lucene's low-level data types.

Constructor Summary
`DataInput()`

Method Summary
`Object` | `clone()` Returns a clone of this stream.
`abstract byte` | `readByte()` Reads and returns a single byte.
`abstract void` | `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
`void` | `readBytes(byte[] b, int offset, int len, boolean useBuffer)` Reads a specified number of bytes into an array at the specified offset with control over whether the read should be buffered (callers who have their own buffer should pass in "false" for useBuffer).
`void` | `readChars(char[] buffer, int start, int length)` Deprecated. -- please use readString or readBytes instead, and construct the string from those utf8 bytes
`int` | `readInt()` Reads four bytes and returns an int.
`long` | `readLong()` Reads eight bytes and returns a long.
`short` | `readShort()` Reads two bytes and returns a short.
`String` | `readString()` Reads a string.
`Map<String,String>` | `readStringStringMap()`
`int` | `readVInt()` Reads an int stored in variable-length format.
`long` | `readVLong()` Reads a long stored in variable-length format.
`void` | `setModifiedUTF8StringsMode()` Call this if readString should read characters stored in the old modified UTF8 format (length in java chars and java's modified UTF8 encoding).

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataInput

    public DataInput()

Method Detail

### setModifiedUTF8StringsMode

    public void setModifiedUTF8StringsMode()

  Call this if readString should read characters stored in the old modified UTF8 format (length in java chars and java's modified UTF8 encoding). This is used for indices written pre-2.4 See LUCENE-510 for details.

### readByte

    public abstract byte readByte()
                           throws IOException

  Reads and returns a single byte.

  Throws:
    `IOException`
  See Also:
    `DataOutput.writeByte(byte)`

### readBytes

    public abstract void readBytes(byte[] b,
                                   int offset,
                                   int len)
                            throws IOException

  Reads a specified number of bytes into an array at the specified offset.

  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `IOException`
  See Also:
    `DataOutput.writeBytes(byte[],int)`

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len,
                          boolean useBuffer)
                   throws IOException

  Reads a specified number of bytes into an array at the specified offset with control over whether the read should be buffered (callers who have their own buffer should pass in "false" for useBuffer). Currently only `BufferedIndexInput` respects this parameter.

  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
    `useBuffer` - set to false if the caller will handle buffering.
  Throws:
    `IOException`
  See Also:
    `DataOutput.writeBytes(byte[],int)`

### readShort

    public short readShort()
                    throws IOException

  Reads two bytes and returns a short.

  Throws:
    `IOException`
  See Also:
    `DataOutput.writeByte(byte)`

### readInt

    public int readInt()
                throws IOException

  Reads four bytes and returns an int.

  Throws:
    `IOException`
  See Also:
    `DataOutput.writeInt(int)`

### readVInt

    public int readVInt()
                 throws IOException

  Reads an int stored in variable-length format. Reads between one and five bytes. Smaller values take fewer bytes. Negative numbers are not supported.

  Throws:
    `IOException`
  See Also:
    `DataOutput.writeVInt(int)`

### readLong

    public long readLong()
                  throws IOException

  Reads eight bytes and returns a long.

  Throws:
    `IOException`
  See Also:
    `DataOutput.writeLong(long)`

### readVLong

    public long readVLong()
                   throws IOException

  Reads a long stored in variable-length format. Reads between one and nine bytes. Smaller values take fewer bytes. Negative numbers are not supported.

  Throws:
    `IOException`

### readString

    public String readString()
                      throws IOException

  Reads a string.

  Throws:
    `IOException`
  See Also:
    `DataOutput.writeString(String)`

### readChars

    @Deprecated
    public void readChars(char[] buffer,
                                     int start,
                                     int length)
                   throws IOException

  Deprecated. -- please use readString or readBytes instead, and construct the string from those utf8 bytes

  Reads Lucene's old "modified UTF-8" encoded characters into an array.

  Parameters:
    `buffer` - the array to read characters into
    `start` - the offset in the array to start storing characters
    `length` - the number of characters to read
  Throws:
    `IOException`
  See Also:
    `DataOutput.writeChars(String,int,int)`

### clone

    public Object clone()

  Returns a clone of this stream.

  Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

  Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

  Overrides:
    `clone` in class `Object`

### readStringStringMap

    public Map<String,String> readStringStringMap()
                                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD